
package de.ivu.elect.business.niederschrift.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.niederschrift.entity.NiederschriftKorrektur;
import de.ivu.elect.business.niederschrift.boundary.NiederschriftKorrekturDAO;
import de.ivu.elect.business.niederschrift.boundary.NiederschriftKorrekturCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractNiederschriftKorrekturCreate {

  @Inject
  protected NiederschriftKorrekturDAO dao;

    @Inject
    transient Event<NiederschriftKorrekturCreateEvent> createEvent;



  


public void save(NiederschriftKorrektur entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(NiederschriftKorrektur entity) {
        createEvent.fire(new NiederschriftKorrekturCreateEvent(entity));
  }

}
